org.apache.flume.interceptor

## Class InterceptorBuilderFactory

- java.lang.Object
- - org.apache.flume.interceptor.InterceptorBuilderFactory

-     public class InterceptorBuilderFactory
      extends Object

  Factory used to register instances of Interceptors & their builders, as well as to instantiate the builders.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterceptorBuilderFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Interceptor.Builder` | `newInstance(String name)` Instantiate specified class, either alias or fully-qualified class name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InterceptorBuilderFactory

          public InterceptorBuilderFactory()

  - ### Method Detail

    - #### newInstance

          public static Interceptor.Builder newInstance(String name)
                                                 throws ClassNotFoundException,
                                                        InstantiationException,
                                                        IllegalAccessException

      Instantiate specified class, either alias or fully-qualified class name.
      Throws:
        `ClassNotFoundException`
        `InstantiationException`
        `IllegalAccessException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.